Package org.apache.solr.client.solrj.response

# Class RangeFacet.Numeric

java.lang.Object
org.apache.solr.client.solrj.response.RangeFacet<Number,Number>
org.apache.solr.client.solrj.response.RangeFacet.Numeric

Enclosing class:
  `RangeFacet<B,G>`

public static class RangeFacet.Numeric extends RangeFacet<Number,Number>

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.response.RangeFacet

`RangeFacet.Count, RangeFacet.Currency, RangeFacet.Date, RangeFacet.Numeric`

## Constructor Summary

Constructors
Constructor
Description
`Numeric(String name, Number start, Number end, Number gap, Number before, Number after, Number between)`

## Method Summary

### Methods inherited from class org.apache.solr.client.solrj.response.RangeFacet

`addCount, getAfter, getBefore, getBetween, getCounts, getEnd, getGap, getName, getStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Numeric

public Numeric(String name, Number start, Number end, Number gap, Number before, Number after, Number between)